Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins
[Groovy] Class BasePluginConvention

    java.lang.Object
      org.gradle.api.plugins.BasePluginConvention

    class BasePluginConvention

Property Summary
`String` | `archivesBaseName` The base name to use for archive files.
`String` | `distsDirName` The name for the distributions directory.
`String` | `libsDirName` The name for the libs directory.
`ProjectInternal` | `project`

Constructor Summary
`BasePluginConvention(Project project)`

Method Summary
`File` | `getDistsDir()` Returns the directory to generate TAR and ZIP archives into.
`File` | `getLibsDir()` Returns the directory to generate JAR and WAR archives into.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### archivesBaseName

    String archivesBaseName

  The base name to use for archive files.

### distsDirName

    String distsDirName

  The name for the distributions directory. This in interpreted relative to the project' build directory.

### libsDirName

    String libsDirName

  The name for the libs directory. This in interpreted relative to the project' build directory.

### project

    ProjectInternal project

Constructor Detail

### BasePluginConvention

    BasePluginConvention(Project project)

Method Detail

### getDistsDir

    File getDistsDir()

  Returns the directory to generate TAR and ZIP archives into.
  Returns:
    The directory. Never returns null.

### getLibsDir

    File getLibsDir()

  Returns the directory to generate JAR and WAR archives into.
  Returns:
    The directory. Never returns null.

Gradle API 1.1-rc-1